<%@page contentType="text/html;charset=UTF-8"%>
<%@page pageEncoding="UTF-8"%>
<%@page session="false" %>
<%@taglib uri="http://tiles.apache.org/tags-tiles" prefix="t" %>
<t:insertDefinition name="BASEPAGE">
  <t:putAttribute name="title" value="" type="string" cascade="true"/>
    <t:putAttribute name="breadcrumb">
    <li class="b"><a class="b" href="${base}index.html">Home</a></li>
    <li class="b"><strong class="b">Blog</strong></li>
  </t:putAttribute>
  <t:putAttribute name="navigation" type="string">
    <h1 class="nav">Navigation</h1>
    <h2 class="nav menu">Section-Menu</h2>
    <ul id="menu" class="cf">
      <li class="m blog"><strong class="m">Blog</strong></li>
      <li class="m projects"><a href="${base}projects.html" class="m">Projects</a></li>
      <li class="m about"><a href="${base}about.html" class="m">About</a></li>
    </ul>
  </t:putAttribute>
  <t:putAttribute name="maincontent" type="string" cascade="true">
    <article id="post-34" class="post-34 post type-post status-publish format-standard hentry category-hibernate category-java category-maven">
      <div class="entry-header">
        <h1 class="entry-title">hibernate4-maven-plugin</h1>
        <div class="entry-meta">
          Posted on <a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/" title="19:29" rel="bookmark"><time class="entry-date" datetime="2012-11-28T19:29:12+00:00" pubdate>November 28, 2012</time></a><span class="byline"> by <span class="author vcard"><a class="url fn n" href="http://juplo.de/author/kai/" title="View all posts by Kai Moritz" rel="author">Kai Moritz</a></span></span>
        </div><!-- .entry-meta -->
      </div><!-- .entry-header -->
      <div class="entry-content">
        <h2>A simple Plugin for generating a Database-Schema from Hibernate 4 Mapping-Annotations</h2>
        <p>
          Hibernate comes with the buildin functionality, to automatically create or update the database schema. This functionality is configured in the session-configuraton via the parameter <code>hbm2ddl.auto</code> (see <a href="http://docs.jboss.org/hibernate/orm/4.1/manual/en-US/html_single/#configuration-optional" onclick="javascript:_gaq.push(['_trackEvent','outbound-article','http://docs.jboss.org']);">Hibernate Reference Documentation &#8211; Chapter 3.4. Optional configuration properties</a>). But doing so <a href="http://stackoverflow.com/questions/221379/hibernate-hbm2ddl-auto-update-in-production" onclick="javascript:_gaq.push(['_trackEvent','outbound-article','http://stackoverflow.com']);">is not very wise</a>, because you can easily corrupt or erase your production database, if this configuration parameter slips through to your production environment.
        </p>
        <p>
          Alternatively, you can <a href="http://stackoverflow.com/questions/835961/how-to-creata-database-schema-using-hibernate" onclick="javascript:_gaq.push(['_trackEvent','outbound-article','http://stackoverflow.com']);">run the tools <strong>SchemaExport</strong> or <strong>SchemaUpdate</strong> by hand</a>. But that is not very comfortable and being used to maven you will quickly long for a plugin, that does that job automatically for you, when you fire up your test cases.
        </p>
        <p>In the good old times, there was the <a href="http://mojo.codehaus.org/maven-hibernate3/hibernate3-maven-plugin/" onclick="javascript:_gaq.push(['_trackEvent','outbound-article','http://mojo.codehaus.org']);">Maven Hibernate3 Plugin</a>, that does this for you. But unfortunatly, this plugin is not compatible with Hibernate 4.x. Since there does not seem to be any successor for the Maven Hibernate3 Plugin and <a href="http://www.google.de/search?q=hibernate4+maven+plugin" onclick="javascript:_gaq.push(['_trackEvent','outbound-article','http://www.google.de']);">googeling</a> does not help, I decided to write up this simple plugin (inspired by these two articles I found: <a href="http://www.tikalk.com/alm/blog/schema-export-hibernate-4-and-maven" onclick="javascript:_gaq.push(['_trackEvent','outbound-article','http://www.tikalk.com']);">Schema Export with Hibernate 4 and Maven</a> and <a href="http://doingenterprise.blogspot.de/2012/05/schema-generation-with-hibernate-4-jpa.html" onclick="javascript:_gaq.push(['_trackEvent','outbound-article','http://doingenterprise.blogspot.de']);">Schema generation with Hibernate 4, JPA and Maven</a>).
        </p>
        <p>
          I hope, the resulting simple to use buletproof <a href="/hibernate4-maven-plugin/">hibernate4-maven-plugin</a> is usefull!
        </p>
        <p>
          <strong><a href="/hibernate4-maven-plugin/">Try it out now!</a></strong></p>
      </div><!-- .entry-content -->
      <footer class="entry-meta">
        This entry was posted in <a href="http://juplo.de/category/hibernate/" title="View all posts in Hibernate" rel="category tag">Hibernate</a>, <a href="http://juplo.de/category/java/" title="View all posts in Java" rel="category tag">Java</a>, <a href="http://juplo.de/category/maven/" title="View all posts in Maven" rel="category tag">Maven</a>. Bookmark the <a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/" title="Permalink to hibernate4-maven-plugin" rel="bookmark">permalink</a>. 
      </footer><!-- .entry-meta -->
    </article><!-- #post-34 -->
    <!-- You can start editing here. -->
    <h3 id="comments">15 Responses to &#8220;hibernate4-maven-plugin&#8221;</h3>
    <div class="navigation">
      <div class="alignleft"></div>
      <div class="alignright"></div>
    </div>
    <ol class="commentlist">
      <li class="comment even thread-even depth-1 parent" id="comment-556">
        <div id="div-comment-556" class="comment-body">
          <div class="comment-author vcard">
            <cite class="fn">Jukes</cite> <span class="says">says:</span>
          </div>
          <div class="comment-meta commentmetadata"><a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-556">
              November 7, 2013 at 23:18</a>&nbsp;&nbsp;<a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=556" title="Edit comment">(Edit)</a>
          </div>
          <p>
            Hi thanks a lot for making this plugin available, great work!!<br />
            I have a problem generating postgres schema. Looks like the plugin ignores the data type when adding default values and that yields a syntax error from Postgres. Or maybe I&#8217;m doing something wrong. I&#8217;m using version 1.0.3.</p>
          <p>For example I have in java:</p>
          <p>
            @Column(name = &#8220;financialEnabled&#8221;, nullable = false, columnDefinition = &#8220;default TRUE&#8221;)<br />
            private boolean financialEnabled;
          </p>
          <p>
            Generated SQL is:<br />
            financialEnabled default TRUE not null,
          </p>
          <p>As you can see the data type boolean is not translated to the SQL script. Thanks a lot for your help.</p>
          <div class="reply">
            <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=556#respond' onclick='return addComment.moveForm("div-comment-556", "556", "respond", "34")'>Reply</a>
          </div>
        </div>
        <ul class="children">
          <li class="comment byuser comment-author-kai bypostauthor odd alt depth-2" id="comment-567">
            <div id="div-comment-567" class="comment-body">
              <div class="comment-author vcard">
                <cite class="fn"><a href="http://juplo.de"   rel='external nofollow' class='url'>Kai Moritz</a></cite> <span class="says">says:</span>
              </div>
              <div class="comment-meta commentmetadata">
                <a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-567">
                  November 11, 2013 at 13:09</a>&nbsp;&nbsp;<a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=567" title="Edit comment">(Edit)
                </a>
              </div>
              <p>
                This plugin is only a tool to automate the generation of the SQL in your development-environment.<br />
                Questions on how to anotate your code correctly are better asked in a user-forum from hibernate or such.</p>
              <p>
                Nevertheless, I think I can give you a usefull hint:<br />
                You are overwriting the automatically generated column-definition with &#8220;default TRUE&#8221;.<br />
                Try it with</p>
              <p>
                @Column(name = “financialEnabled”, nullable = false)<br />
                private boolean financialEnabled;</p>
              <div class="reply">
                <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=567#respond' onclick='return addComment.moveForm("div-comment-567", "567", "respond", "34")'>Reply</a>
              </div>
            </div>
          </li><!-- #comment-## -->
        </ul><!-- .children -->
      </li><!-- #comment-## -->
      <li class="comment even thread-odd thread-alt depth-1 parent" id="comment-390">
        <div id="div-comment-390" class="comment-body">
          <div class="comment-author vcard">
            <cite class="fn">Milios</cite> <span class="says">says:</span>
          </div>
          <div class="comment-meta commentmetadata">
            <a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-390">
              October 10, 2013 at 15:02
            </a>
            &nbsp;&nbsp;
            <a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=390" title="Edit comment">(Edit)</a>
          </div>
          <p>Hi,</p>
          <p>
            looks like a very nice plugin. Unfortunately, part of our entities are in other modules/dependencies.<br />
            Do you plan to add the possibility to scan also for dependencies of the project or at least of the plugin?</p>
          <p>Also, when I only want to generate the SQL and use the following configuration, I got nothing.</p>
          <p>Config:</p>
          <p>
            de.juplo<br />
            hibernate4-maven-plugin<br />
            1.0.2</p>
          <p>
            true<br />
            SCRIPT<br />
            NONE<br />
            com.deutscheboerse.hibernate.PostgreSQLDialect<br />
            ${project.build.directory}/hibernate4/cmm-schema.sql</p>
          <p>
            com.deutscheboerse.energy<br />
            energy-commons-hibernate<br />
            ${commons.hibernate.version}</p>
          <p>
            org.springframework.security<br />
            spring-security-core<br />
            ${spring.security.version}</p>
          <p>
            org.slf4j<br />
            slf4j-log4j12<br />
            ${slf4j.version}</p>
          <p>
            Output:<br />
            mvn hibernate4:export -e<br />
            [INFO] Error stacktraces are turned on.<br />
            [INFO] Scanning for projects&#8230;<br />
            [INFO]<br />
            [INFO] &#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;<br />
            [INFO] Building CMM WAR 1.0.0-RC5-SNAPSHOT<br />
            [INFO] &#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;<br />
            [INFO]<br />
            [INFO] &#8212; hibernate4-maven-plugin:1.0.2:export (default-cli) @ cmm-war &#8212;<br />
            [INFO] Scanning directory D:\_dev\work\ii\src\cmm\trunk\cmm-war\target\classes f<br />
            [INFO] No hibernate-properties-file found! (Checked path: D:\_dev\work\ii\src\cm<br />
            [INFO] Gathered hibernate-configuration (turn on debugging for details):<br />
            [INFO]   hibernate.dialect = com.deutscheboerse.hibernate.PostgreSQLDialect<br />
            [INFO] HHH000400: Using dialect: com.deutscheboerse.hibernate.PostgreSQLDialect<br />
            [INFO] &#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;<br />
            [INFO] BUILD SUCCESS<br />
            [INFO] &#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;<br />
            [INFO] Total time: 10.932s<br />
            [INFO] Finished at: Thu Oct 10 12:51:05 UTC 2013<br />
            [INFO] Final Memory: 9M/23M<br />
            [INFO] &#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;</p>
          <p>
            Thanks for any help,<br />
            Milos.
          </p>
          <div class="reply">
            <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=390#respond' onclick='return addComment.moveForm("div-comment-390", "390", "respond", "34")'>Reply</a>
          </div>
        </div>
        <ul class="children">
          <li class="comment byuser comment-author-kai bypostauthor odd alt depth-2 parent" id="comment-391">
            <div id="div-comment-391" class="comment-body">
              <div class="comment-author vcard">
                <cite class="fn"><a href="http://juplo.de"   rel='external nofollow' class='url'>Kai Moritz</a></cite> <span class="says">says:</span>
              </div>
              <div class="comment-meta commentmetadata">
                <a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-391">
                  October 10, 2013 at 22:19
                </a>
                &nbsp;&nbsp;
                <a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=391" title="Edit comment">(Edit)</a>		</div>
              <p>
                Yes, I am working on the possibility, to scan for annotations in dependencies.<br />
                Unfortunatly, I have no example-project for this use-case by hand.<br />
                It would help a lot, if you could provide a sample-project on github or such.
              </p>
              <p>Greetings kai</p>
              <div class="reply">
                <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=391#respond' onclick='return addComment.moveForm("div-comment-391", "391", "respond", "34")'>Reply</a>
              </div>
            </div>
            <ul class="children">
              <li class="comment byuser comment-author-kai bypostauthor even depth-3" id="comment-568">
                <div id="div-comment-568" class="comment-body">
                  <div class="comment-author vcard">
                    <cite class="fn"><a href="http://juplo.de"   rel='external nofollow' class='url'>Kai Moritz</a></cite> <span class="says">says:</span>
                  </div>
                  <div class="comment-meta commentmetadata"><a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-568">
                      November 11, 2013 at 13:11</a>&nbsp;&nbsp;<a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=568" title="Edit comment">(Edit)</a>		</div>

                  <p>Version 1.0.3 of the plugin can now scan for annotations in the dependencies, too.</p>

                  <div class="reply">
                    <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=568#respond' onclick='return addComment.moveForm("div-comment-568", "568", "respond", "34")'>Reply</a>		</div>
                </div>
              </li><!-- #comment-## -->
            </ul><!-- .children -->
          </li><!-- #comment-## -->
        </ul><!-- .children -->
      </li><!-- #comment-## -->
      <li class="comment odd alt thread-even depth-1" id="comment-286">
        <div id="div-comment-286" class="comment-body">
          <div class="comment-author vcard">
            <cite class="fn">Pedro</cite> <span class="says">says:</span>		</div>

          <div class="comment-meta commentmetadata"><a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-286">
              August 7, 2013 at 18:54</a>&nbsp;&nbsp;<a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=286" title="Edit comment">(Edit)</a>		</div>

          <p>Following my previous question, here is the debug info</p>
          <p>[DEBUG] Dependency: /Users/pmarques/.m2/repository/org/springframework/security/spring-security-acl/3.1.4.RELEASE/spring-security-acl-3.1.4.RELEASE.jar<br />
            [DEBUG] Dependency: /Users/pmarques/.m2/repository/com/atomikos/atomikos-util/3.6.5/atomikos-util-3.6.5.jar<br />
            [DEBUG] Dependency: /Users/pmarques/.m2/repository/com/atomikos/transactions-api/3.6.5/transactions-api-3.6.5.jar<br />
            [DEBUG] Dependency: /Users/pmarques/.m2/repository/javax/transaction/transaction-api/1.1/transaction-api-1.1.jar<br />
            [DEBUG] Dependency: /Users/pmarques/.m2/repository/com/atomikos/transactions-jdbc-deprecated/3.6.5/transactions-jdbc-deprecated-3.6.5.jar<br />
            [DEBUG] Dependency: /Users/pmarques/.m2/repository/com/atomikos/transactions-jdbc/3.6.5/transactions-jdbc-3.6.5.jar<br />
            [DEBUG] Dependency: /Users/pmarques/.m2/repository/com/atomikos/transactions-jta/3.6.5/transactions-jta-3.6.5.jar<br />
            [DEBUG] Dependency: /Users/pmarques/.m2/repository/com/atomikos/transactions/3.6.5/transactions-3.6.5.jar<br />
            [DEBUG] Dependency: /Users/pmarques/.m2/repository/org/apache/geronimo/specs/geronimo-jta_1.0.1B_spec/1.0.1/geronimo-jta_1.0.1B_spec-1.0.1.jar<br />
            [DEBUG] Dependency: /Users/pmarques/.m2/repository/com/atomikos/transactions-jms-deprecated/3.6.5/transactions-jms-deprecated-3.6.5.jar<br />
            [DEBUG] Dependency: /Users/pmarques/.m2/repository/com/atomikos/transactions-jms/3.6.5/transactions-jms-3.6.5.jar<br />
            [DEBUG] Dependency: /Users/pmarques/.m2/repository/com/atomikos/transactions-hibernate3/3.6.5/transactions-hibernate3-3.6.5.jar<br />
            [INFO] Scanning directory /target/classes for annotated classes&#8230;</p>

          <div class="reply">
            <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=286#respond' onclick='return addComment.moveForm("div-comment-286", "286", "respond", "34")'>Reply</a>		</div>
        </div>
      </li><!-- #comment-## -->
      <li class="comment even thread-odd thread-alt depth-1 parent" id="comment-285">
        <div id="div-comment-285" class="comment-body">
          <div class="comment-author vcard">
            <cite class="fn">Pedro</cite> <span class="says">says:</span>		</div>

          <div class="comment-meta commentmetadata"><a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-285">
              August 7, 2013 at 18:49</a>&nbsp;&nbsp;<a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=285" title="Edit comment">(Edit)</a>		</div>

          <p>Hi,</p>
          <p>I have the following problem.<br />
            The project that I use to test (and use the plugin) has the annotated classes as a dependency.<br />
            I am getting the error:<br />
            No annotated classes found in directory /target/classes</p>
          <p>Shouldn&#8217;t the plugin scan all the dependencies also?</p>
          <p>Thanks,<br />
            Pedro.</p>

          <div class="reply">
            <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=285#respond' onclick='return addComment.moveForm("div-comment-285", "285", "respond", "34")'>Reply</a>		</div>
        </div>
        <ul class="children">
          <li class="comment byuser comment-author-kai bypostauthor odd alt depth-2 parent" id="comment-287">
            <div id="div-comment-287" class="comment-body">
              <div class="comment-author vcard">
                <cite class="fn"><a href="http://juplo.de"   rel='external nofollow' class='url'>Kai Moritz</a></cite> <span class="says">says:</span>		</div>

              <div class="comment-meta commentmetadata"><a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-287">
                  August 7, 2013 at 19:12</a>&nbsp;&nbsp;<a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=287" title="Edit comment">(Edit)</a>		</div>

              <p>Hi Pedro,</p>
              <p>I think, that your observation is right.<br />
                But otherwise, dependencies should only be scanned if requested, because automatic scanning of the dependencies might lead to errors in other situations.</p>
              <p>If you can make your project available to me (for example via github, or simply by mailing zipped version), I would add a configuration-parameter to enable/disable dependency-scanning and upload the refined plugin to central.</p>
              <p>Regards,</p>
              <p>Kai Moritz</p>

              <div class="reply">
                <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=287#respond' onclick='return addComment.moveForm("div-comment-287", "287", "respond", "34")'>Reply</a>		</div>
            </div>
            <ul class="children">
              <li class="comment byuser comment-author-kai bypostauthor even depth-3" id="comment-426">
                <div id="div-comment-426" class="comment-body">
                  <div class="comment-author vcard">
                    <cite class="fn"><a href="http://juplo.de"   rel='external nofollow' class='url'>Kai Moritz</a></cite> <span class="says">says:</span>		</div>

                  <div class="comment-meta commentmetadata"><a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-426">
                      October 18, 2013 at 02:52</a>&nbsp;&nbsp;<a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=426" title="Edit comment">(Edit)</a>		</div>

                  <p>The <a href="/hibernate4-maven-plugin-1-0-3-released/" title="Open the release-notes" rel="nofollow">new version 1.0.3</a> of the plugin adds support for annotated classes in dependencies!</p>

                  <div class="reply">
                    <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=426#respond' onclick='return addComment.moveForm("div-comment-426", "426", "respond", "34")'>Reply</a>		</div>
                </div>
              </li><!-- #comment-## -->
            </ul><!-- .children -->
          </li><!-- #comment-## -->
        </ul><!-- .children -->
      </li><!-- #comment-## -->
      <li class="comment odd alt thread-even depth-1 parent" id="comment-276">
        <div id="div-comment-276" class="comment-body">
          <div class="comment-author vcard">
            <cite class="fn"><a href="http://bidlogix.com" onclick="javascript:_gaq.push(['_trackEvent', 'outbound-commentauthor', 'http://bidlogix.com']);"  rel='external nofollow' class='url'>mike</a></cite> <span class="says">says:</span>		</div>

          <div class="comment-meta commentmetadata"><a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-276">
              July 30, 2013 at 12:57</a>&nbsp;&nbsp;<a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=276" title="Edit comment">(Edit)</a>		</div>

          <p>Hello,</p>
          <p>I&#8217;m upgrading from hibernate3 to to hibernate4 and have moved from the hibernate3-maven-plugin to this version. I haven&#8217;t undertaken (and don&#8217;t want to just yet) the big job of changing my hbm mapping files to annotations.</p>
          <p>As far as I can see this is a show stopper for using your nice plugin. Can you please confirm if this is the case and whether you are planning to add support for scanning for hbm files?</p>
          <p>Many thanks,</p>
          <p>Mike Cohen.</p>

          <div class="reply">
            <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=276#respond' onclick='return addComment.moveForm("div-comment-276", "276", "respond", "34")'>Reply</a>		</div>
        </div>
        <ul class="children">
          <li class="comment byuser comment-author-tortenheber even depth-2" id="comment-277">
            <div id="div-comment-277" class="comment-body">
              <div class="comment-author vcard">
                <cite class="fn">tortenheber</cite> <span class="says">says:</span>		</div>

              <div class="comment-meta commentmetadata"><a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-277">
                  July 31, 2013 at 23:18</a>&nbsp;&nbsp;<a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=277" title="Edit comment">(Edit)</a>		</div>

              <p>Hello Mike,</p>
              <p>I added the requested feature in the SNAPSHOT-version.<br />
                It would be nice, if you could test, if the new feature works, because I have no example project by hand, that still uses hibernate-mapping via XML.</p>
              <p>You can download an actual build here:</p>
              <p><a href="https://oss.sonatype.org/content/repositories/snapshots//de/juplo/hibernate4-maven-plugin/1.0.2-SNAPSHOT/" onclick="javascript:_gaq.push(['_trackEvent', 'outbound-comment', 'http://oss.sonatype.org']);" rel="nofollow">https://oss.sonatype.org/content/repositories/snapshots//de/juplo/hibernate4-maven-plugin/1.0.2-SNAPSHOT/</a></p>
              <p>or build it by yourself from the sources.<br />
                The feature is documented here:</p>
              <p><a href="http://juplo.de/hibernate4-maven-plugin-1.0.2-SNAPSHOT/export-mojo.html"  rel="nofollow">http://juplo.de/hibernate4-maven-plugin-1.0.2-SNAPSHOT/export-mojo.html</a></p>
              <p>Best regards</p>
              <p>kai</p>

              <div class="reply">
                <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=277#respond' onclick='return addComment.moveForm("div-comment-277", "277", "respond", "34")'>Reply</a>		</div>
            </div>
          </li><!-- #comment-## -->
        </ul><!-- .children -->
      </li><!-- #comment-## -->
      <li class="comment odd alt thread-odd thread-alt depth-1 parent" id="comment-50">
        <div id="div-comment-50" class="comment-body">
          <div class="comment-author vcard">
            <cite class="fn">Victor</cite> <span class="says">says:</span>		</div>

          <div class="comment-meta commentmetadata"><a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-50">
              February 22, 2013 at 15:28</a>&nbsp;&nbsp;<a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=50" title="Edit comment">(Edit)</a>		</div>

          <p>Hey I have modified your code to support envers and generate auditing tables, if you want I can send you a patch. Thanks!</p>

          <div class="reply">
            <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=50#respond' onclick='return addComment.moveForm("div-comment-50", "50", "respond", "34")'>Reply</a>		</div>
        </div>
        <ul class="children">
          <li class="comment even depth-2 parent" id="comment-51">
            <div id="div-comment-51" class="comment-body">
              <div class="comment-author vcard">
                <cite class="fn">admin</cite> <span class="says">says:</span>		</div>

              <div class="comment-meta commentmetadata"><a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-51">
                  February 22, 2013 at 19:54</a>&nbsp;&nbsp;<a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=51" title="Edit comment">(Edit)</a>		</div>

              <p>Your welcom.<br />
                Send it!</p>

              <div class="reply">
                <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=51#respond' onclick='return addComment.moveForm("div-comment-51", "51", "respond", "34")'>Reply</a>		</div>
            </div>
            <ul class="children">
              <li class="comment odd alt depth-3 parent" id="comment-54">
                <div id="div-comment-54" class="comment-body">
                  <div class="comment-author vcard">
                    <cite class="fn">Victor</cite> <span class="says">says:</span>		</div>

                  <div class="comment-meta commentmetadata"><a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-54">
                      February 25, 2013 at 15:28</a>&nbsp;&nbsp;<a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=54" title="Edit comment">(Edit)</a>		</div>

                  <p>Where to? Is there a github repo?</p>

                  <div class="reply">
                    <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=54#respond' onclick='return addComment.moveForm("div-comment-54", "54", "respond", "34")'>Reply</a>		</div>
                </div>
                <ul class="children">
                  <li class="comment even depth-4" id="comment-55">
                    <div id="div-comment-55" class="comment-body">
                      <div class="comment-author vcard">
                        <cite class="fn">admin</cite> <span class="says">says:</span>		</div>

                      <div class="comment-meta commentmetadata"><a href="http://juplo.de/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#comment-55">
                          February 25, 2013 at 20:05</a>&nbsp;&nbsp;<a class="comment-edit-link" href="http://juplo.de/wp-admin/comment.php?action=editcomment&amp;c=55" title="Edit comment">(Edit)</a>		</div>

                      <p>There is a private git-Repository.<br />
                        <a href="http://juplo.de/hibernate4-maven-plugin/source-repository.html"  rel="nofollow">Check the project-documentation!</a></p>
                      <p>You can <a href="http://juplo.de/hibernate4-maven-plugin/team-list.html"  rel="nofollow">send me</a> a patch or a pull-request to <a href="mailto:kai@juplo.de">kai@juplo.de</a></p>

                      <div class="reply">
                        <a class='comment-reply-link' href='/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/?replytocom=55#respond' onclick='return addComment.moveForm("div-comment-55", "55", "respond", "34")'>Reply</a>		</div>
                    </div>
                  </li><!-- #comment-## -->
                </ul><!-- .children -->
              </li><!-- #comment-## -->
            </ul><!-- .children -->
          </li><!-- #comment-## -->
        </ul><!-- .children -->
      </li><!-- #comment-## -->
    </ol>

    <div class="navigation">
      <div class="alignleft"></div>
      <div class="alignright"></div>
    </div>


    <div id="respond">

      <h3>Leave a Reply</h3>

      <div id="cancel-comment-reply">
        <small><a rel="nofollow" id="cancel-comment-reply-link" href="/hibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations/#respond" style="display:none;">Click here to cancel reply.</a></small>
      </div>


      <form action="http://juplo.de/wp-comments-post.php" method="post" id="commentform">


        <p>Logged in as <a href="http://juplo.de/wp-admin/profile.php">Kai Moritz</a>. <a href="http://juplo.de/wp-login.php?action=logout&amp;redirect_to=http%3A%2F%2Fjuplo.de%2Fhibernate4-maven-plugin-a-simple-plugin-for-generating-a-database-schema-from-hibernate-4-mapping-annotations%2F&amp;_wpnonce=09e5cb501d" title="Log out of this account">Log out &raquo;</a></p>


        <!--<p><small><strong>XHTML:</strong> You can use these tags: <code>&lt;a href=&quot;&quot; title=&quot;&quot;&gt; &lt;abbr title=&quot;&quot;&gt; &lt;acronym title=&quot;&quot;&gt; &lt;b&gt; &lt;blockquote cite=&quot;&quot;&gt; &lt;cite&gt; &lt;code&gt; &lt;del datetime=&quot;&quot;&gt; &lt;em&gt; &lt;i&gt; &lt;q cite=&quot;&quot;&gt; &lt;strike&gt; &lt;strong&gt; </code></small></p>-->

        <p><textarea name="comment" id="comment" cols="58" rows="10" tabindex="4"></textarea></p>

        <p><input name="submit" type="submit" id="submit" tabindex="5" value="Submit Comment" />
          <input type='hidden' name='comment_post_ID' value='34' id='comment_post_ID' />
          <input type='hidden' name='comment_parent' id='comment_parent' value='0' />
        </p>
        <input type="hidden" id="_wp_unfiltered_html_comment_disabled" name="_wp_unfiltered_html_comment_disabled" value="2cfe5768bb" /><script>(function() {
    if (window === window.parent) {
      document.getElementById('_wp_unfiltered_html_comment_disabled').name = '_wp_unfiltered_html_comment';
    }
  })();</script>
        <p style="display: none;"><input type="hidden" id="akismet_comment_nonce" name="akismet_comment_nonce" value="18eb674233" /></p>
      </form>

    </t:putAttribute>
  <t:putAttribute name="marginalcontent" type="string">
    <div id="secondary" class="widget-area" role="complementary">
      <aside id="archives" class="widget">
        <h1 class="widget-title">Archives</h1>
        <ul>
          <li><a href='http://juplo.de/2013/10/' title='October 2013'>October 2013</a></li>
          <li><a href='http://juplo.de/2013/08/' title='August 2013'>August 2013</a></li>
          <li><a href='http://juplo.de/2013/01/' title='January 2013'>January 2013</a></li>
          <li><a href='http://juplo.de/2012/11/' title='November 2012'>November 2012</a></li>
        </ul>
      </aside>
      <aside id="categories" class="widget">
        <h1 class="widget-title">Most Used Categories</h1>
        <ul>
          <li class="cat-item cat-item-4"><a href="http://juplo.de/category/java/" title="View all posts filed under Java">Java</a> (6)</li>
          <li class="cat-item cat-item-6"><a href="http://juplo.de/category/hibernate/" title="View all posts filed under Hibernate">Hibernate</a> (5)</li>
          <li class="cat-item cat-item-8"><a href="http://juplo.de/category/maven/" title="View all posts filed under Maven">Maven</a> (5)</li>
          <li class="cat-item cat-item-9"><a href="http://juplo.de/category/jpa/" title="View all posts filed under JPA">JPA</a> (1)</li>
          <li class="cat-item cat-item-10"><a href="http://juplo.de/category/appengine/" title="View all posts filed under appengine">appengine</a> (1)</li>
          <li class="cat-item cat-item-11"><a href="http://juplo.de/category/oauth2/" title="View all posts filed under oauth2">oauth2</a> (1)</li>
        </ul>
      </aside>
      <aside id="search" class="widget widget_search">
        <h1 class="widget-title">Search</h1>
        <form role="search" method="get" id="searchform" class="searchform" action="http://juplo.de/">
          <div>
            <label class="screen-reader-text" for="s">Search for:</label>
            <input type="text" value="" name="s" id="s" />
            <input type="submit" id="searchsubmit" value="Search" />
          </div>
        </form>
      </aside>
    </div><!-- #secondary .widget-area -->
    <div id="tertiary" class="widget-area" role="supplementary">
    </div><!-- #tertiary .widget-area -->
  </t:putAttribute>
</t:insertDefinition>
